Call a contract method using ABI
POST /v2/contract/abi/{id}/call
POST
/v2/contract/abi/{id}/call
Call a contract method using a specific ABI.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
The ABI ID to use
Request Body required
Section titled “Request Body required ”object
methodName
required
The method name
string
transfer paramCollection
required
The parameters for the method
Array<string>
[ "0x123...", "100"] chainId
required
The chain ID
number
1 contractAddress
required
The contract address
string
0x123... walletId
required
The wallet ID to sign with
string
wallet-123 isShared
Whether the ABI is shared
boolean
Responses
Section titled “ Responses ”The call result
object
txReceipt
required
The transaction receipt id
string
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error